<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Homework</title>
</head>
<body>

      <!-- Создайте функцию, которая по клику на "показать день недели" возвращает день недели для выбранной даты с интута. -->
      <!-- День нужно возвратить в div#result в текстовом формате т.е понедельник, вторник, суббота и т.д -->

      <header>
          <input id="MyDateSelector" type="date"/>
          <button id="ShowDayButton">Показать день недели</button>
      </header>
      <div id="result">

      </div>
      <script>
      var inputDate = document.getElementById('MyDateSelector');
      var showButton = document.getElementById('ShowDayButton');
      var res = document.getElementById('result');
      var date;
      var datesObj = 
      [
        'Воскресенье',
        'Понедельник',
        'Вторник',
        'Среда',
        'Четверг',
        'Пятница',
        'Суббота'
      ]
      showButton.onclick = function() {
        date = new Date(inputDate.value);
        res.innerText = datesObj[date.getDay()];
        // console.log(date.getDay());
        console.log(datesObj[date.getDay()]);
      }
      
      </script>
</body>
</html>
